.swls-overlay-content {
    position: fixed;
    background-color: #FFF;
    border: 1px solid #CCC;
    overflow: hidden;
    display: none;
    z-index: 21;
    width: 800px;
    height: 450px;
    top:25%;
}

.swls-overlay-heading {
    font-family: 'HPSimplified123';
    font-size: 28px;
    color: #000000;
    text-align: center;
    font-weight: normal;
    margin-top: 126px;
}

.load-image {
    margin: 60px;
    text-align: center;
}

#swls-redirect-container {
    padding: 50px 50px 0px 50px;
}

.swls-redirect-heading {
    font-family: 'HPSimplified123';
    font-size: 30px;
    color: #000000;
    font-weight: normal;
}

.swls-redirect-detail {
    font-family: 'HPSimplified123';
    color: #000000;
    font-size: 22px;
    font-weight: Lighter;
    margin-top: 69px;
    width: 680px;
}

.hp-support-link {
   color: #007dba;
}

.swlsRedDivider {
    width: 687px;
    height: 1px;
    background: #cccccc;
    margin-bottom:15px;
}

.btn-redirect {
    padding-left: 20px;
    padding-right: 20px;
}

.redirect-footer {
    padding-bottom: 30px;
    position: absolute;
    bottom:0;
}

.btn-cancel {
    background-color: #767676;
    cursor: pointer;
}

.divSupport{
    float:right;
}

html[dir="rtl"] .divCancel {
    float:left;
}
var Tracker = Class.extend({
    properties: {
        debug: false,
        active: true,
        engine: "omniture",
        type: "new.page",
        data: {
            link: {
                name: "",
            },
            page: {
                name: "",
                site: "HPC",
                section: "123hp",
                subsection: "",
                events: []
            }
        }
    },
    init: function (options) {
        if ("object" === typeof options) {
            if (("undefined" !== typeof options.engine) && ("string" === typeof options.engine)) {
                this.properties.engine = options.engine.strToLower();
            }
            
            if (("undefined" !== typeof options.debug)) {
                this.properties.debug = (true === options.debug ? true : false);
            }
            
            this.debug("Tracker.init(): initialized");
        }
        /*
        if (/localhost/i.test(window.location.href)) {
            this.disable();
        }
        */
    },
    debug: function (data) {
        if ("undefined" === typeof data) {
            return this;
        }
        
        if ("undefined" !== typeof window.console) {
            console.log(data);
        }
        
        return this;
    },
    isEnabled: function () {
        this.debug("Tracker.isEnabled(): executed");
        
        return this.properties.active;
    },
    disable: function () {
        this.properties.active = false;
        
        this.debug("Tracker.disable(): executed");
        
        return this;
    },
    enable: function () {
        this.properties.active = true;
        
        this.debug("Tracker.enable(): executed");
        
        return this;
    },
    send: function (data) {     
        if ((false === this.isEnabled()) || ("object" !== typeof data)) {
            return this;
        }
        
        if (("undefined" === typeof data.link) || ("undefined" === typeof data.page)) {
            return this;
        }
                
        if (("undefined" !== typeof this.properties.engine)) {
            this.debug("Tracker.send(): engine to use " + this.properties.engine);
            
            if ("undefined" === typeof data.type) {
                data.type = this.properties.type;
            }
            
            if (("omniture" === this.properties.engine) && ("function" === typeof trackMetrics)) {
                if ("undefined" !== typeof data.subsection) {
                    this.properties.data.page.subsection = data.subsection;
                }
                
                if (("undefined" !== typeof data.events) && (data.events instanceof Array)) {
                    this.properties.data.page.events = data.events;
                }
    
                trackMetrics( this.properties.type, {
                    link:{ name: data.link, },
                    page: {
                        name: data.page, site: this.properties.data.page.site, section: this.properties.data.page.section,
                        events: data.events || []
                }});
            }
        }
        
        return this;
    }
});
